<ng-container *transloco="let t">
  <mat-card
    appearance="outlined"
    [ngClass]="style"
    class="default-card">
    <mat-card-header>
      <mat-card-title>
        <h2>
          <mat-icon
            class="icon-align"
            align="baseline">
            {{icon}}
          </mat-icon>
          {{t('error-comp.'+message?.type)}}
        </h2>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content class="error-card-content">
      <!-- we are abusing keycloaks translation system to give us ids we can translate with transloco - these ids are set in messages_*.properties files and returned as 'summary' here -->      
      {{t('kcMessages.'+message?.summary)}}
    </mat-card-content>
    <small *ngIf="!production && (debug.debugMode|async)">
      <pre>{{message|json}}</pre>
    </small>
  </mat-card>
  <!-- <mat-card class="error-card" *ngIf="baseUrl">
    <mat-card-content>
      <a
        class="login-link"
        [href]="baseUrl">
        {{t('error-comp.goto_main_page')}}
      </a>
    </mat-card-content>
  </mat-card> -->
</ng-container> 